### Enumeration

# Camel MemPoolFlags

since: 2.32

#### Declaration

    enum Camel.MemPoolFlags

#### Description

No description available.

Available since: 2.32

#### Members

`CAMEL_MEMPOOL_ALIGN_STRUCT`

  Allocate to native structure alignment.

  - Value: `0`
  - Available since: 2.32
`CAMEL_MEMPOOL_ALIGN_WORD`

  Allocate to words - 16 bit alignment.

  - Value: `1`
  - Available since: 2.32
`CAMEL_MEMPOOL_ALIGN_BYTE`

  Allocate to bytes - 8 bit alignment.

  - Value: `2`
  - Available since: 2.32
`CAMEL_MEMPOOL_ALIGN_MASK`

  Which bits determine the alignment information.

  - Value: `3`
  - Available since: 2.32